Infront Data Manager Connect Client (.NET)

Public Member Functions | Protected Member Functions | Protected Attributes | Properties | List of all members
Gevasys.DataCore.Configuration.Generated.Consumer Class Reference

This class represents the ComplexType Consumer More...

Inherits Gevasys.DataCore.Configuration.Generated.XmlCommonBase, and Gevasys.DataCore.Configuration.Generated.IConsumer.

## Public Member Functions
| Consumer ()
| Constructor for Consumer More...
| Consumer (String elementName)
override object | Clone ()
| Allows the class to be copied More...
override LiquidTechnologies.Runtime.Net40.XmlObjectBase | GetBase ()

## Protected Member Functions
override void | Init ()
| Initilizes the class More...

## Protected Attributes
String | m_Name
Boolean | m_Enabled
Gevasys.DataCore.Configuration.Generated.Primary | m_Primary
Gevasys.DataCore.Configuration.Generated.Secondary | m_Secondary

## Properties
override String | TargetNamespace`[get]`
String | Name`[get, set]`
| Represents a mandatory Attribute in the XML document More...
Boolean | Enabled`[get, set]`
| Represents a mandatory Attribute in the XML document More...
Gevasys.DataCore.Configuration.Generated.Primary | Primary`[get, set]`
| Represents a mandatory Element in the XML document More...
Gevasys.DataCore.Configuration.Generated.Secondary | Secondary`[get, set]`
| Represents a mandatory Element in the XML document More...
override String | Namespace`[get]`
Properties inherited from Gevasys.DataCore.Configuration.Generated.IConsumer
String | Name`[get, set]`
Boolean | Enabled`[get, set]`
Gevasys.DataCore.Configuration.Generated.Primary | Primary`[get, set]`
Gevasys.DataCore.Configuration.Generated.Secondary | Secondary`[get, set]`

## Detailed Description

This class represents the ComplexType Consumer

## Constructor & Destructor Documentation

## ◆ Consumer()

Gevasys.DataCore.Configuration.Generated.Consumer.Consumer | ( |  | ) |
| inline

Constructor for Consumer

The class is created with all the mandatory fields populated with the default data.
All Collection object are created.
However any 1-n relationships (these are represented as collections) are empty. To comply with the schema these must be populated before the xml obtained from ToXml is valid against the schema D:\Sources\Liquid\DataCoreServer\InstanceConfiguration.xsd

## Member Function Documentation

## ◆ Clone()

override object Gevasys.DataCore.Configuration.Generated.Consumer.Clone | ( |  | ) |
| inline

Allows the class to be copied

Performs a 'deep copy' of all the data in the class (and its children)

## ◆ Init()

override void Gevasys.DataCore.Configuration.Generated.Consumer.Init | ( |  | ) |
| inline protected

Initilizes the class

The Creates all the mandatory fields (populated with the default data) All Collection object are created.
However any 1-n relationships (these are represented as collections) are empty. To comply with the schema these must be populated before the xml obtained from ToXml is valid against the schema D:\Sources\Liquid\DataCoreServer\InstanceConfiguration.xsd.

## Property Documentation

## ◆ Enabled

Boolean Gevasys.DataCore.Configuration.Generated.Consumer.Enabled
| get set

Represents a mandatory Attribute in the XML document

This property is represented as an Attribute in the XML.
It is mandatory and therefore must be populated within the XML.
It is defaulted to false.

## ◆ Name

String Gevasys.DataCore.Configuration.Generated.Consumer.Name
| get set

Represents a mandatory Attribute in the XML document

This property is represented as an Attribute in the XML.
It is mandatory and therefore must be populated within the XML.
It is defaulted to "".

## ◆ Primary

Gevasys.DataCore.Configuration.Generated.Primary Gevasys.DataCore.Configuration.Generated.Consumer.Primary
| get set

Represents a mandatory Element in the XML document

This property is represented as an Element in the XML.
It is mandatory and therefore must be populated within the XML.
If this property is set, then the object will be COPIED. If the property is set to null an exception is raised.

## ◆ Secondary

Gevasys.DataCore.Configuration.Generated.Secondary Gevasys.DataCore.Configuration.Generated.Consumer.Secondary
| get set

Represents a mandatory Element in the XML document

This property is represented as an Element in the XML.
It is mandatory and therefore must be populated within the XML.
If this property is set, then the object will be COPIED. If the property is set to null an exception is raised.

The documentation for this class was generated from the following file:

- Consumer.cs

Copyright (C) 2021 Infront Financial Technology GmbH
Mainzer Landstrasse 178 – 190
60327 Frankfurt am Main
Infront Data Manager Connect V4.1